Package org.springframework.security.web.webauthn.api

# Class PublicKeyCredentialParameters

java.lang.Object
org.springframework.security.web.webauthn.api.PublicKeyCredentialParameters

public final class PublicKeyCredentialParameters extends Object
The PublicKeyCredentialParameters is used to supply additional parameters when creating a new credential.

Since:
  6.4
See Also:
  - `PublicKeyCredentialCreationOptions.getPubKeyCredParams()`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PublicKeyCredentialParameters`
`EdDSA`
`static final PublicKeyCredentialParameters`
`ES256`
`static final PublicKeyCredentialParameters`
`ES384`
`static final PublicKeyCredentialParameters`
`ES512`
`static final PublicKeyCredentialParameters`
`RS1`
`static final PublicKeyCredentialParameters`
`RS256`
`static final PublicKeyCredentialParameters`
`RS384`
`static final PublicKeyCredentialParameters`
`RS512`

## Method Summary

Modifier and Type
Method
Description
`COSEAlgorithmIdentifier`
`getAlg()`
The alg member specifies the cryptographic signature algorithm with which the newly generated credential will be used, and thus also the type of asymmetric key pair to be generated, e.g., RSA or Elliptic Curve.
`PublicKeyCredentialType`
`getType()`
The type property member specifies the type of credential to be created.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EdDSA

public static final PublicKeyCredentialParameters EdDSA

### ES256

public static final PublicKeyCredentialParameters ES256

### ES384

public static final PublicKeyCredentialParameters ES384

### ES512

public static final PublicKeyCredentialParameters ES512

### RS256

public static final PublicKeyCredentialParameters RS256

### RS384

public static final PublicKeyCredentialParameters RS384

### RS512

public static final PublicKeyCredentialParameters RS512

### RS1

public static final PublicKeyCredentialParameters RS1

## Method Details

### getType

public PublicKeyCredentialType getType()
The type property member specifies the type of credential to be created.

Returns:
  the type

### getAlg

public COSEAlgorithmIdentifier getAlg()
The alg member specifies the cryptographic signature algorithm with which the newly generated credential will be used, and thus also the type of asymmetric key pair to be generated, e.g., RSA or Elliptic Curve.

Returns:
  the algorithm